com.rs.xbrl.instructions.formula

## Class ConceptNameAspectOrFilter

- java.lang.Object
- - com.rs.xbrl.instructions.formula.ConceptNameAspectOrFilter

- All Implemented Interfaces:
    AspectOrFilter

      public class ConceptNameAspectOrFilter
      extends java.lang.Object
      implements AspectOrFilter

  Make sure you need a concept filter in the XBRL.XBRL_concept_filterNS namespace
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConceptNameAspectOrFilter(javax.xml.namespace.QName qConcept)` Instantiates a new concept name aspect or filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLFragment` | `getAspectFragment(DTSContainer dts)` Generates an XMLFragment that can be used as one additional aspect on a formula.
    `XBRLResource` | `getFilterFragment(GenerationContext gc)` Generated an XMLFragment that can be used as one additional filter on a formula.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rs.xbrl.instructions.formula.AspectOrFilter

      `toString`

- - ### Constructor Detail

    - #### ConceptNameAspectOrFilter

          public ConceptNameAspectOrFilter(javax.xml.namespace.QName qConcept)

      Instantiates a new concept name aspect or filter.
      Parameters:
        `qConcept` - the q concept

  - ### Method Detail

    - #### getAspectFragment

          public XMLFragment getAspectFragment(DTSContainer dts)

      Description copied from interface: `AspectOrFilter`
      Generates an XMLFragment that can be used as one additional aspect on a formula.
      Specified by:
        `getAspectFragment` in interface `AspectOrFilter`
      Parameters:
        `dts` - the dts
      Returns:
        XMLFragment or null if cannot be generated

    - #### getFilterFragment

          public XBRLResource getFilterFragment(GenerationContext gc)

      Description copied from interface: `AspectOrFilter`
      Generated an XMLFragment that can be used as one additional filter on a formula.
      Specified by:
        `getFilterFragment` in interface `AspectOrFilter`
      Parameters:
        `gc` - the gc
      Returns:
        XMLFragment or null if cannot be generated